Subject: Re: [patch] [iproute] ip exit, ip and tc line number

From: Stephen Hemminger <[email-masked]>
Date: Wed, 3 Mar 2010 16:30:28 -0800

On Tue, 02 Mar 2010 19:28:41 +0100
Michele Petrazzo - Unipex <[email-masked]> wrote:

> Hi,
> I create a small patch that solve an annoying problem that I found on 
> "ip -batch" usage, so the command exits without end the parsing of the 
> batch file also if I specify the -force switch.
> Also add the shown of the right line number where batch file fail for 
> both ip and tc
> 
> Michele

The line number stuff is wrong, but the real problem was that ip
was counting lineno rather than using cmdlineno which is done
by getcmdline(). I will fix that.

The force issue is a different problem so please split out that part
and resubmit.